<?php
/**
 * Created by PhpStorm.
 * User: sicilon_IT
 * Date: 2020/3/2
 * Time: 11:05
 */

namespace app\index\model;
use think\Model;

class yearsettlemodel extends Model{
    protected $table='t_yearsettle';

    /*
     * 20200302
     * steelxu
     * 按身份证查询
     */
    public function selinfobysfzid($year,$sfzid){
        $where_arr['workyear']=$year;
        $where_arr['sfzid']=$sfzid;
        $rec=$this->where($where_arr)->find();
        return $rec;
    }
    /*
     * 20200302
     * steelxu
     * 按银行卡年份查询
     */
    public function selinfobycardno($year,$cardno){
        $where_arr['workyear']=$year;
        $where_arr['cardno']=$cardno;
        $rec=$this->where($where_arr)->find();
        return $rec;
    }
}